"""remove subscription cancellation workflow.

Revision ID: 1ec810b289c0
Revises:
Create Date: 2024-04-02 10:21:08.539591

"""
from alembic import op
from orchestrator.migrations.helpers import create_workflow, delete_workflow

# revision identifiers, used by Alembic.
revision = '1ec810b289c0'
down_revision = '393acfa175c0'
branch_labels = None
# TODO: check it carefuly
depends_on = '048219045729'  # in this revision, SURF has added a new columns to the workflow table like delted_at, so we need to add a dependency on the revision that added the columns to the workflow table.

new_workflows = [
    {
        "name": "import_site",
        "target": "SYSTEM",
        "description": "Import a site without provisioning it.",
        "product_type": "Site"
    },
    {
        "name": "import_router",
        "target": "SYSTEM",
        "description": "Import a router without provisioning it.",
        "product_type": "Router"
    },
    {
        "name": "import_iptrunk",
        "target": "SYSTEM",
        "description": "Import an IP trunk without provisioning it.",
        "product_type": "Iptrunk"
    },
    {
        "name": "import_super_pop_switch",
        "target": "SYSTEM",
        "description": "Import a Super PoP switch without provisioning it.",
        "product_type": "SuperPopSwitch"
    },
    {
        "name": "import_office_router",
        "target": "SYSTEM",
        "description": "Import an office router without provisioning it.",
        "product_type": "OfficeRouter"
    },
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
